API Reference
Vault
Secure credential and secret management
Get Status
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/api/vault/status"{
"property1": "string",
"property2": "string"
}Encrypt Data
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
data*string
Data to encrypt
Length
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://loading/api/vault/encrypt" \ -H "Content-Type: application/json" \ -d '{ "data": "string" }'{
"success": true,
"message": "string",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Decrypt Data
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
encrypted_data*string
Encrypted data to decrypt
Length
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://loading/api/vault/decrypt" \ -H "Content-Type: application/json" \ -d '{ "encrypted_data": "string" }'{
"success": true,
"message": "string",
"data": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}